Skip to main content
POST
/
v1
/
projects
/
{id}
cURL
curl --request POST \
  --url https://cloud.nrai.io/api/v1/projects/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "notifyStatus": "NEVER",
  "releasesEnabled": true,
  "displayName": "<string>",
  "externalId": "<string>",
  "metadata": {},
  "plan": {
    "tasks": 123,
    "pieces": [
      "<string>"
    ],
    "piecesFilterType": "NONE",
    "aiCredits": 123
  }
}
'
import requests

url = "https://cloud.nrai.io/api/v1/projects/{id}"

payload = {
"notifyStatus": "NEVER",
"releasesEnabled": True,
"displayName": "<string>",
"externalId": "<string>",
"metadata": {},
"plan": {
"tasks": 123,
"pieces": ["<string>"],
"piecesFilterType": "NONE",
"aiCredits": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
notifyStatus: 'NEVER',
releasesEnabled: true,
displayName: '<string>',
externalId: '<string>',
metadata: {},
plan: {tasks: 123, pieces: ['<string>'], piecesFilterType: 'NONE', aiCredits: 123}
})
};

fetch('https://cloud.nrai.io/api/v1/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "created": "<string>",
  "updated": "<string>",
  "ownerId": "<string>",
  "displayName": "<string>",
  "notifyStatus": "NEVER",
  "platformId": "<string>",
  "releasesEnabled": true,
  "usage": {
    "tasks": 123,
    "aiCredits": 123,
    "nextLimitResetDate": 123
  },
  "plan": {
    "id": "<string>",
    "created": "<string>",
    "updated": "<string>",
    "projectId": "<string>",
    "locked": false,
    "name": "<string>",
    "piecesFilterType": "NONE",
    "pieces": [
      "<string>"
    ],
    "tasks": 123,
    "aiCredits": 123
  },
  "analytics": {
    "totalUsers": 123,
    "activeUsers": 123,
    "totalFlows": 123,
    "activeFlows": 123
  },
  "externalId": "<string>",
  "metadata": {}
}

Authorizations

Authorization
string
header
required

Use your api key generated from the admin console

Path Parameters

id
string
required

Body

application/json
notifyStatus
Available options:
NEVER
releasesEnabled
boolean
displayName
string
Pattern: ^[^./]+$
externalId
string
metadata
object
plan
object

Response

200 - application/json

Default Response

id
string
required
created
string
required
updated
string
required
ownerId
string
required
displayName
string
required
notifyStatus
required
Available options:
NEVER
platformId
string
required
Pattern: ^[0-9a-zA-Z]{21}$
releasesEnabled
boolean
required
usage
object
required
plan
object
required
analytics
object
required
externalId
string
metadata
object | null